package com.bytedance.lobby.facebook;

import X.7lW;
import X.99w;
import X.M63;
import X.MA0;
import android.app.Application;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.lobby.internal.BaseProvider;
import com.facebook.s;

public class FacebookProvider<T> extends BaseProvider<T> {
    public Application LIZ;

    static {
        Covode.recordClassIndex(35463);
    }

    public final void LIZLLL() {
        if (!s.LJIIIZ.get()) {
            M63.LIZ(this.LIZJ.LIZJ);
            try {
                Context applicationContext = this.LIZ.getApplicationContext();
                if (7lW.LIZJ) {
                    if (applicationContext == null) {
                        applicationContext = 7lW.LIZ;
                    }
                }
                M63.LIZ(applicationContext);
            } catch (Exception e) {
                if (99w.LIZ) {
                    throw e;
                }
            }
        }
    }

    public FacebookProvider(Application application, MA0 ma0) {
        super(application, ma0);
        this.LIZ = application;
    }
}
